package v2auth_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type V2AuthPersonalsignsilentCancelRequest struct {
	AuthUser *common.UserRequest `json:"authUser"`
}

func (obj V2AuthPersonalsignsilentCancelRequest) GetUrl() string {
	return "/v2/auth/personalsignsilent/cancel"
}

func (obj V2AuthPersonalsignsilentCancelRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
